CheckstylePlugin (Gradle API 2.14.1)

org.gradle.api.plugins.quality

## Class CheckstylePlugin

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<org.gradle.api.plugins.quality.Checkstyle>
    - - org.gradle.api.plugins.quality.CheckstylePlugin

- All Implemented Interfaces:
    GroovyObject, Plugin<org.gradle.api.internal.project.ProjectInternal>

      public class CheckstylePlugin
      extends org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<org.gradle.api.plugins.quality.Checkstyle>

  Checkstyle Plugin.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_CHECKSTYLE_VERSION`

    - ### Fields inherited from class org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin

      `project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CheckstylePlugin()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `configureForSourceSet(SourceSet sourceSet, org.gradle.api.plugins.quality.Checkstyle task)`
    `protected void` | `configureTaskDefaults(org.gradle.api.plugins.quality.Checkstyle task, String baseName)`
    `protected CodeQualityExtension` | `createExtension()`
    `protected Class<org.gradle.api.plugins.quality.Checkstyle>` | `getTaskType()`
    `protected String` | `getToolName()`

    - ### Methods inherited from class org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin

      `apply, beforeApply, conventionMappingOf, createConfigurations, getBasePlugin, getConfigurationName, getJavaPluginConvention, getReportName, getTaskBaseName, withBasePlugin`

    - ### Methods inherited from class groovy.lang.GroovyObjectSupport

      `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_CHECKSTYLE_VERSION

          public static final String DEFAULT_CHECKSTYLE_VERSION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CheckstylePlugin

          public CheckstylePlugin()

  - ### Method Detail

    - #### getToolName

          protected String getToolName()

      Specified by:
        `getToolName` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<org.gradle.api.plugins.quality.Checkstyle>`

    - #### getTaskType

          protected Class<org.gradle.api.plugins.quality.Checkstyle> getTaskType()

      Specified by:
        `getTaskType` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<org.gradle.api.plugins.quality.Checkstyle>`

    - #### createExtension

          protected CodeQualityExtension createExtension()

      Specified by:
        `createExtension` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<org.gradle.api.plugins.quality.Checkstyle>`

    - #### configureTaskDefaults

          protected void configureTaskDefaults(org.gradle.api.plugins.quality.Checkstyle task,
                                   String baseName)

      Overrides:
        `configureTaskDefaults` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<org.gradle.api.plugins.quality.Checkstyle>`

    - #### configureForSourceSet

          protected void configureForSourceSet(SourceSet sourceSet,
                                   org.gradle.api.plugins.quality.Checkstyle task)

      Overrides:
        `configureForSourceSet` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<org.gradle.api.plugins.quality.Checkstyle>`